<? 
require_once('../conf/connection.php');

$fecha = $_GET["fecha"];
date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I'));   

$numero_ant=stripslashes($_GET["numero"]); //codigo de pedido principal
$mesa_ant=stripslashes($_GET["mesa_ant"]); //mesa principal
$mesa_add=stripslashes($_GET["mesa"]); //mesa actual que se agrega 
//extaer numero mesa principal
	  $query_mesa_ct="SELECT * FROM control_pedido WHERE mesa='$mesa_ant'";
	  $rs_query_mesa_ct=mysql_query($query_mesa_ct);
	  $ct_mesa=mysql_result($rs_query_mesa_ct,0,"mesa");//numero de mesa pricniapl db


if($mesa_ant == $mesa_add)
 { ?><script>alert("ERROR: No puede juntar la misma mesa...");</script>
     <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=index2.php?mesa=<? echo $mesa_ant; ?>&numero=<? echo $numero_ant; ?>&fecha=<? echo $fecha ?>">
	<? 
 }else{


//extaer numero mesa adjuntar
	  $query_mesa="SELECT * FROM control_pedido WHERE mesa='$mesa_add'";
	  $rs_query_mesa=mysql_query($query_mesa);
	  $numero_add=mysql_result($rs_query_mesa,0,"numero");

//sumar total venta y eliminar pedido 
	  $query_mesa="SELECT * FROM pedido WHERE idmesa='$mesa_add' and idpedido='$numero_add'";
	  $rs_query_mesa=mysql_query($query_mesa);
	  $venta_mesa_nueva=mysql_result($rs_query_mesa,0,"total_venta");
	  
	  $query_sum="UPDATE pedido SET total_venta=(total_venta+'$venta_mesa_nueva') WHERE idmesa='$mesa_ant' 
	  and idpedido='$numero_ant'";
	  $rs_query_sum=mysql_query($query_sum);
	  
//actualizamos el detalle de pedido
      $query_det_pedido="UPDATE detalles_pedido SET numero='$numero_ant' WHERE numero='$numero_add'";
	  $rs_det_pedido=mysql_query($query_det_pedido);
	  
//borrar pedido que agregamos y el control de 
	    $query_delete="DELETE FROM pedido WHERE idpedido='$numero_add' ";
	    $rs_delete=mysql_query($query_delete);
		
		$query_delete_ctr="DELETE FROM control_pedido WHERE numero='$numero_add' and mesa='$mesa_add'";
	    $rs_delete_ctr=mysql_query($query_delete_ctr);

 //liberamos mesa
	    $query_det_pedido="UPDATE mesa SET est_mesa='1' WHERE num_mesa='$mesa_add'";
	    $rs_det_pedido=mysql_query($query_det_pedido);

?>
<META HTTP-EQUIV="REFRESH" CONTENT="0;URL=pedido.php?mesa=<? echo $mesa_ant; ?>&numero=<? echo $numero_ant; ?>&fecha=<? echo $fecha ?>">
<? }?>